> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a File

> Download silo entry file's data. Content type and disposition will be set according to the source.



## OpenAPI

````yaml GET /silo/v1/entries/{entry_id}/files/{id}
openapi: 3.0.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: >-
    Store and manage GOBL documents along with their attachments in "Silo
    Entries".
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Silo Service API
  version: 1.0.0
servers:
  - description: production
    url: https://api.invopop.com
security:
  - authToken: []
paths:
  /silo/v1/entries/{entry_id}/files/{id}:
    get:
      description: >-
        Download silo entry file's data. Content type and disposition will be
        set according to the source.
      parameters:
        - description: UUID of the file to fetch, may be a previous version.
          in: path
          name: id
          required: true
          schema:
            description: UUID of the file to fetch, may be a previous version.
            example: 347c5b04-cde2-11ed-afa1-0242ac120002
            title: ID
            type: string
        - description: UUID of the silo entry.
          in: path
          name: entry_id
          required: true
          schema:
            description: UUID of the silo entry.
            example: 347c5b04-cde2-11ed-afa1-0242ac120002
            title: Entry ID
            type: string
      responses:
        '200':
          description: Contains the file data.
components:
  securitySchemes:
    authToken:
      bearerFormat: JWT
      description: >-
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.
        Example: `Authorization: Bearer <token>`
      scheme: bearer
      type: http

````